Вы находитесь здесь

Форум

lol on linux mint 17

Автор Replies
Jump to the page: 1 - 2
biggel12 Sunday 7 September 2014 at 14:16
biggel12Anonymous

i have been a happy lol player using pol and linux mint 16 for months! but i just updated to linux mint 17 i installed a backup of all my installs from 16 so i have all the dependancies that i had before, so i installed lol with pol, it all went fine! but when i try to run lol it crashes imidiateley with this error in the debug window

 

[09/07/14 14:15:51] - Running wine-1.7.19-LeagueOfLegends2 lol.launcher.admin.exe (Working directory : /home/chris/.PlayOnLinux/wineprefix/LeagueOfLegends/drive_c/Riot Games/League of Legends)
fixme:ver:GetCurrentPackageId (0x33fbf0 (nil)): stub
fixme:advapi:RegisterTraceGuidsW (0x594c91, (nil), {f7b697a3-4db5-4d3b-be71-c4d284e6592f}, 7, 0x61be34, (null), (null), 0x6225b8,): stub
fixme:process:GetNumaHighestNodeNumber (0x33d800): stub
wine: Unhandled exception 0x40000015 in thread 32 at address 0x56cefa (thread 0032), starting debugger...

 

 

help much apreciated !

booman Wednesday 10 September 2014 at 22:09
booman

Are you sure that is the entire debug output?

Did you install the 32-bit libraries in Mint 17?  Use the synaptics package manager and search for "ia32-libs" or "multi arch"


† Booman †
Mint 19 64-bit | Nvidia 415.25 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
Ronin DUSETTE Wednesday 10 September 2014 at 22:22
Ronin DUSETTE
Admin

I think that they finally removed the ia32-libs package. But yes, 'multiarch-support' will pull in pretty much every dependency you will need. Well, almost, but it does the job. :)


Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
petch Wednesday 10 September 2014 at 22:33
petch
Developer

LoL install script had to be modified to accomodate for their recent changes, so it makes sense that reusing a game backup won't work correctly.

booman Wednesday 10 September 2014 at 23:38
booman

yeah, you will have to download the entire game again.  Let us know if you have further bugs or crashes.


† Booman †
Mint 19 64-bit | Nvidia 415.25 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
biggel12 Monday 15 September 2014 at 14:33
biggel12Anonymous

ok so i alreaddy had multi arch in ia32-libs installed si i tried deleteing all the things on my pc that had something t to with lol then i did a fresh install! same result! just one thing important to note, when i pressed install the first window that popped up said that i did not have S3TC installed!i alwais used to start pol like this cant remember why " force_s3tc_enable=true playonlinux"

thanks allot for helping me

biggel12 Friday 26 September 2014 at 15:58
biggel12Anonymous

bump

another thing, im using wine 1.7.19leaugeOfLegends2 i tried installing diferent versions and that failed they just did not appear in the installed wine versions box

Edited by biggel12

biggel12 Monday 13 October 2014 at 15:36
biggel12Anonymous

is anyone else having issues with leuage ? im considering dual booting windows... but i really dont want to

booman Monday 13 October 2014 at 18:09
booman

Where exactly are you at?  Did LoL install?

If it isn't launching please post the entire debug starting with the date.


† Booman †
Mint 19 64-bit | Nvidia 415.25 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
biggel12 Thursday 16 October 2014 at 15:15
biggel12Anonymous

[10/16/14 15:14:02] - Running wine-1.7.19-LeagueOfLegends2 lol.launcher.admin.exe (Working directory : /home/chris/.PlayOnLinux/wineprefix/LeagueOfLegends/drive_c/Riot Games/League of Legends)
fixme:advapi:EventRegister {2f9efe86-4af7-4f37-a40f-94b909a157d6}, 0x4c9600, 0x624100, 0x62e908
fixme:advapi:EventRegister {ea08c559-95a8-4aa2-afa6-18738eec6d37}, 0x4c9600, 0x624170, 0x62e988
fixme:advapi:EventRegister {10f6728c-ef92-4bf1-8397-49e693a6eb74}, 0x4c9600, 0x624138, 0x62e948
fixme:advapi:EventRegister {46dd7f96-60cb-416b-8085-da5cd8f491dd}, 0x4c9600, 0x6240c8, 0x62e880
fixme:ver:GetCurrentPackageId (0x33fbf0 (nil)): stub
fixme:advapi:RegisterTraceGuidsW (0x5965a7, (nil), {f7b697a3-4db5-4d3b-be71-c4d284e6592f}, 7, 0x623af0, (null), (null), 0x62a888,): stub
fixme:process:GetNumaHighestNodeNumber (0x33d880): stub
wine: Unhandled exception 0x40000015 in thread 35 at address 0x572bca (thread 0035), starting debugger...

 

biggel12 Thursday 16 October 2014 at 15:16
biggel12Anonymous

i did a full install and it all wen fine but this is what i get if i try to run it

booman Thursday 16 October 2014 at 16:13
booman

Are you sure that is the entire debug?  Normally they are much longer

OK, so it installs, but crashes when you run it. Do you even get to the login screen?
Are you able to run any other games?


† Booman †
Mint 19 64-bit | Nvidia 415.25 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
biggel12 Thursday 16 October 2014 at 18:19
biggel12Anonymous

that is the intire debug, when i run league the little icon pops up in the centre of the screen then i get a Program error window before even getting to the patcher!

as for other games i have not installed any other games with playOnLinux since i updated.

booman Thursday 16 October 2014 at 18:24
booman

Sounds like it installed initially but never patches up.  So you never get to the login screen.

Lets try a quick-n-easy game like Drakensang Online.  Its a simple 8MB download and installs quickly.  You will need to create an account if you want to play it.

Otherwise if you own any other games let me know what you have.  Some work and some don't, so I don't want you to have even more frustration with another game.


† Booman †
Mint 19 64-bit | Nvidia 415.25 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
biggel12 Thursday 16 October 2014 at 18:43
biggel12Anonymous

ok so i could not find Drakensang so i installed crayon phisics(first tiny download game i found) it worked perfectly(i played a bit it was fun)  but the debugegr gave some errors, i dont know if they might help you so here is crayon phisics debugger

 

[10/16/14 18:38:40] - Running wine- crayon.exe (Working directory : /home/chris/.PlayOnLinux/wineprefix/CrayonPhysics/drive_c/crayon)
fixme:keyboard:X11DRV_LoadKeyboardLayout L"00000409", 0080: stub!
fixme:keyboard:X11DRV_LoadKeyboardLayout L"00000409", 0001: stub!
err:mmdevapi:DllGetClassObject Driver initialization failed
err:ole:apartment_getclassobject DllGetClassObject returned error 0x80004005
err:ole:CoGetClassObject no class object {bcde0395-e52f-467c-8e3d-c4579291692e} could be created for context 0x1
err:dsound:get_mmdevenum CoCreateInstance failed: 80004005

 

 

 

i also installed marble blast gold wich is a non listed program that i played on mac years ago just to see that worked well too i just clicked install non listed program and sleected the exe and it went like clockwork, non of thease games are very graphically intense but they seem to go just fine, just ask me to do anything else if it will help you

thank you!

 

EDIT just thought of one thing, i have been having problems with permisions on my computer, i dont know if that could have anything to do with anything but i thought i would mention it

Edited by biggel12

booman Thursday 16 October 2014 at 18:48
booman

Awesome!  That confirms your drivers and 32-bit libraries are setup.

Just google search:  Drakensang Linux

You will find a guide on how to install it.  Drakensang will confirm that your 3D support is working as well


† Booman †
Mint 19 64-bit | Nvidia 415.25 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
biggel12 Thursday 16 October 2014 at 18:57
biggel12Anonymous

i have just worked out im still on pol 4.2.2 so im updateing to 4.2.5

 

ok so i just got pol 4.2.5 and i was dooing your guide for drajensang for gamersonlinux but when i try to install a diff version of wine(1.6.2) i downloads then goes to the extracting wine window and quits but i still dont see 1.6.2 in my installed verisons!????

 

still no joy with installing x86 1.6.2 but 64 bit install with a error about downloading geko

Edited by biggel12

booman Thursday 16 October 2014 at 19:11
booman

Thats not good.  I wonder if its having a problem downloading Quartz.  Normally quartz will download after you download a wine version.

Drakensang should work on just about any version of wine.  so try 1.6.2 again and or 1.7.28

Also, you can go to /home/username/.PlayOnLinux/Wine/linux-x86
Delete any folder to manually remove a corrupted version of wine

That is the directory Wine installs when you do the Wine Manager
Also make sure to use a 32-bit virtual drive and 32-bit Wine. I don't normally mess with 64-bit.

Then try downloading them again.


† Booman †
Mint 19 64-bit | Nvidia 415.25 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
biggel12 Friday 17 October 2014 at 15:21
biggel12Anonymous

ok so the installing whine versions issue was because for some reason root owned the wine dir so i changed that and installed 1.6.2 then drakensang and it fully installs but when i run it i get this error

 

http://imgur.com/7b6RjzC

i tryed reainstalling same thing again

Edited by biggel12

booman Monday 20 October 2014 at 22:44
booman

Wow, I've never seen that error with Drakensang before.  Not cool!

QT has something to do with libraries (dll's) in the game folder.  I've seen suggestions like change Windows version to Windows XP


† Booman †
Mint 19 64-bit | Nvidia 415.25 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
Вы находитесь здесь: Index > PlayOnLinux > lol on linux mint 17